Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Tue, 06 Nov 2012 22:51:34 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Fabrice Niessen" <[email-masked]>
>> Eli Zaretskii wrote:
>> >> (gdb) thread apply all backtrace
>> >
>> > This indicates you had 3 network streams that Emacs was reading from.
>> > Any idea which connections were those?
>> 
>> The "only" things I use Emacs for are:
>> 
>> - editing local files (found on my computer, not on a network share)
>> - reading and composing mails with Gnus
>
> Strange.
>
>> However, if process communications are seen as network streams
>
> No, the backtrace clearly shows that we are communicating via Winsock:
>
>   #4  0x719f67de in WSACancelAsyncRequest () from /cygdrive/c/WINDOWS/system32/Ws2_32.dll
>   #5  0x0108d925 in _sys_read_ahead (fd=8) at w32.c:6079
>   #6  0x01033127 in reader_thread (arg=0x167dda0) at w32proc.c:838
>
> See that call to WSACancelAsyncRequest?

No idea on how to interpret that... I really use Emacs for the above usage...

>> > Next time, please type "xbacktrace" and show the Lisp backtrace it
>> > produces.  (You will need the .gdbinit file from the source
>> > repository, and you will need to type "source .gdbinit" before
>> > invoking "xbacktrace".)
>> 
>> I just downloaded the .gdbinit found in
>> http://ftp.gnu.org/gnu/emacs/emacs-24.2.tar.xz (from... 27-Aug-2012), as I
>> just had a similar problem (infloop when filling Helm-for-files pattern).
>> 
>>   QUESTION -- Is it therein I'm supposed to fetch the .gdbinit from?
>
> You need to get it from the same source distribution as the one used
> for building Emacs.  If you are using v24.2 (not 24.2.50 or some
> such), then the above is indeed the right .gdbinit.
>
>> However, it does not seem that I can do that as easily: this ain't compatible
>> with the GNU Emacs 24.2.50.1 (i386-mingw-nt5.1.2600) of 2012-10-22 on DANI-PC.
>
> I don't expect it to be: 24.2.50 is a development snapshot, and a lot
> was changed in the internal data structures since 24.2 was released.
>
>> But I had to take a recently compiled Emacs from
>> https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8 (to be exact, the
>> version emacs-trunk-r110618-w32-i386.zip, on 22-Oct-2012), as there is no new
>> official version of Emacs for Windows since a while...
>
> Then you can get a matching .gdbinit from the bzr repository here:
>
>   http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/src/.gdbinit

Thanks for giving me the pointer to the right file!

>> >> I don't understand the 2 screen processes (I just see 1), but that must
>> >> explain the 2 zsh processes...
>> >
>> > I don't understand even the single screen.exe: what does that do?
>> 
>> GNU screen is a terminal multiplexer
>
> I know what GNU screen is, I just didn't expect to see it on a Windows
> machine that uses a native Windows build of Emacs.  Is screen.exe a
> Cygwin build of screen?  Are you using it to run several versions of
> Emacs?

Of course you know it.

Why mentioning it?  Because screen runs Z shells, and I sometimes had shell
messages (already mentioned in the past) when using Helm-for-files.

But, here, no, I don't use Emacs in screen in any form. I only use screen for
shell windows, no more.

Best regards,
Fabrice